Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Interface NotificationBroadcaster

All Known Subinterfaces:
  MBeanInvoker, ModelMBean, ModelMBeanNotificationBroadcaster, NotificationEmitter

All Known Implementing Classes:
  AbstractMBeanInvoker, JBossNotificationBroadcasterSupport, MBeanServerDelegate, ModelMBeanInvoker, NotificationBroadcasterSupport, RequiredModelMBean, UnifiedLoaderRepository3

public interface NotificationBroadcaster

This interface must be implemented by all MBeans that emit notifications.

New code should implement the NotificationEmitter interface

Version:
  $Revision: 1.5 $
Author:
  Juha Lindfors.
See Also:
  `NotificationListener`, `NotificationFilter`, `NotificationEmitter`

Method Summary
`void` | `addNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback)` Add a listener to an MBean.
`MBeanNotificationInfo[]` | `getNotificationInfo()` Returns the notification metadata associated with the MBean.
`void` | `removeNotificationListener(NotificationListener listener)` Removes a listener from an MBean.

Method Detail

### addNotificationListener

    public void addNotificationListener(NotificationListener listener,
                                        NotificationFilter filter,
                                        Object handback)
                                 throws IllegalArgumentException

  Add a listener to an MBean.

  Parameters:
    `listener` - implementation of the listener object
    `filter` - implementation of the filter object or `null` if no filtering is required
    `handback` - A handback object associated with each notification sent by this notification broadcaster.
  Throws:
    `IllegalArgumentException` - if listener is `null`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Removes a listener from an MBean.

  Parameters:
    `listener` - the listener object to remove
  Throws:
    `ListenerNotFoundException` - if the listener was not found

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Returns the notification metadata associated with the MBean.

  Returns:
    MBean's notification metadata
  See Also:
    `MBeanNotificationInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.